Bug 110478 - kmail crash on menubar access from keyboard
kmail crash on menubar access from keyboard
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 16:32 EST by Daniel Lipsitt
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-11 09:00:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Lipsitt 2003-11-19 16:32:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031110 Firebird/0.7+

Description of problem:
(also submitted as http://bugs.kde.org/show_bug.cgi?id=68611)

I get a crash when I try to access some submenu items using the keyboard.


Version-Release number of selected component (if applicable):
kdenetwork-3.1.4-1

How reproducible:
Always

Steps to Reproduce:
1. Start Kmail
2. Click a mailbox containing mail
3. type Alt-M to open the Message menu
4. type K (this is the underlined accellerator key for the Mark
Message submenu)
5. Hit the right arrow key.
6. Crash    

Actual Results:  crash

Backtrace:
Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1084706112 (LWP 27370)]
0x005a5c32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#0 0x005a5c32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1 0x00a21963 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2 0x007bb6fc in KCrash::defaultCrashHandler(int) ()
from /usr/lib/libkdecore.so.4 

Expected Results:  At step 4 the Mark Message submenu should be
opened, or alternatively should be hilighted, at which point the right
arrow key should open it.


Additional info:

Note that opening the Message menu and using the down arrow key to
choose a submenu and then using the arrow key to open it works as
expected.

I have also discovered that hitting the spacebar or return at step 5
causes a crash.
Comment 1 Ngo Than 2003-12-11 09:00:52 EST
This bug has already been fixed in the KDE 3.2 Beta, which is
available in rawhide

Note You need to log in before you can comment on or make changes to this bug.